/* styles-light.css */

body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #f4f4f9;
    color: #333;
}

header {
    background-color: #e8e8e8;
    padding: 10px 0;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    text-align: center;
}

.container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0 20px;
}


a {
    color: #ebc34b; /* Color de enlaces */
}

a:hover {
    color: #ffeeba; /* Color de enlaces al pasar el mouse */
}

/* Aplicar estilos personalizados para todos los navegadores */
a:focus,
a:active,
button:focus,
button:active,
.menu-toggle:focus,
.menu-toggle:active,
nav a:focus,
nav a:active,
img:focus,
img:active {
    outline: none !important;
    box-shadow: none !important;
    background-color: transparent !important;
    border: none !important;
    -webkit-tap-highlight-color: transparent; /* Para móviles y navegadores WebKit */
    -moz-tap-highlight-color: transparent; /* Para navegadores Mozilla */
    tap-highlight-color: transparent; /* Otros navegadores */
}


nav ul {
    list-style: none;
    padding: 0;
    margin: 100;
    display: flex;
    justify-content: center;
}

nav ul li {
    display: inline;
}

nav ul li a {
    text-decoration: none;
    color: #333;
    transition: background-color 0.6s;
}

nav ul li a:hover {
    background-color: #f4b601;
    color: #fff;
    border-radius: 15px;
}


.btn {
    padding: 10px 20px;
    background-color: #f4b601;
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    border-radius: 20px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: #f4b701a8;
}

.btn-primary {
    background-color: #ffeeba; /* Botón primario */
    border-color: #ffeeba;
    color: #fff; /* Texto del botón */
}

.btn-primary:hover {
    background-color: #ffeeba;
    border-color: #ffeeba;
}


#hero {
    background-color: #f8f8f8;
    color: #333;
    padding: 215px 20px 40px;
    text-align: center;
    margin-bottom: 50px; /* Añadido */
}

#hero p {
    font-size: 20px;
    margin-bottom: 35px;
}

#hero .btn {
    font-size: 18px;
    padding: 10px 20px;
}

.hero-text .btn {
    margin-bottom: 0px;
}

.hero-image {
    text-align: center;
}


.old-price {
    text-decoration: line-through;
    color: red;
    font-weight: normal;
    font-size: 1.0em;
}

.new-price {
    color: #50C878; /* Verde esmeralda */
    font-weight: bold;
    font-size: 1.144em;
}


#muscletech, #nutrex, #on, #dymatize, #musclesport, #evogen, #ghost, #ryse, #saschafitness {
    padding: 0px 0px 15px;
    margin-top: -17px;
    margin-bottom: 0px;
}

#beneficios, #productos, #marcas, #lo-mas-vendido, #mujeres, #hombres, #contacto-wa, #cart-live-section, #costo-envio {
    padding: 15px 20px 50px;
    background-color: #fff;
    text-align: center;
    margin-bottom: 50px; /* Añadido */
}

#servicios {
    padding: 40px 20px 50px;
    background-color: #fff;
    text-align: center;
    margin-bottom: 50px; /* Añadido */
}

#contacto-wa {
    background-color: #fff;
    text-align: center;
}

#contacto-wa h2 {
    font-size: 36px;
    margin-top: 20px;
    margin-bottom:0px;
}

#contacto-wa p {
    margin-bottom: 25px;
}

#contacto-wa img {
    margin-top: 0px;
    margin-bottom: -10px;
}

.nota-envio {
    font-size: 0.77em;
    color: #666;
    margin-top: 25px;
}


h2 {
    font-size: 36px;
    margin-bottom: 30px;
    margin-top: 15px;
    color: #333;
}

h3 {
    font-size: 24px;
    margin-bottom: -11px;
    color: #333;
}

p {
    font-size: 16px;
    margin-bottom: 20px;
    color: #666;
}

#hombres h2, #mujeres h2, #nuestros-suplementos h2 {
    margin-bottom: 0px;
}

#hombres p, #mujeres p, #productos p {
    max-width: 1100px;
    margin: 0 auto;
    text-align: center;
    margin-top: 15px;
    margin-bottom: 20px;
}

.servicio, .beneficio {
    width: 100%;
    max-width: 270px; 
    margin: 0 auto; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px 20px 10px;
}

.servicio i, .beneficio i {
    font-size: 44px;
    color: #f4b601;
    margin-bottom: 11px;
}

.servicio h3 {
    margin: 4px 0;
}

.servicio p {
    text-align: center;
    margin: 0px 0;
    max-width: 260px;
}

.beneficio h3 {
    margin: 0px 0;
}

.beneficio p {
    text-align: center;
    margin: 6px 0;
}


.servicios-grid, .beneficios-grid, .productos-grid, .marcas-grid, .contacto-wa-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.servicio, .beneficio, .producto, .marca {
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.25s, box-shadow 0.3s;
}

.servicio:hover, .beneficio:hover, .producto:hover, .marca:hover {
    transform: translateY(-10px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.marca img {
    margin-bottom: 0px;
}

.producto {
    width: 100%;
    max-width: 260px;
}

.producto img {
    margin-bottom: -10px;
}

.producto img, .marca img {
    width: 250px;
    height: auto;
}

.marcas-grid {
    justify-content: center;
    align-items: center; /* Esto asegura el centrado vertical */
}

.marca {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.marca img {
    object-fit: contain;
}


#brand-balloons {
    position: fixed;
    top: calc(50% + 50px);
    left: 8px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 15px;
    opacity: 0;
    transition: opacity 1.5s ease-in-out;
    z-index: 999;
}

#brand-balloons.show {
    opacity: 1;
}

.theme-image.balloon {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    transform: translateY(0);
    transition: opacity 0.3s ease, transform 0.3s ease;
    display: block;
    pointer-events: auto;
    cursor: pointer;
    animation: floatBalloon 3s ease-in-out infinite;
    margin-top: -4px;
    opacity: 0.5;
}

/* Cuando se pasa el mouse por el contenedor, todos se opacan */
#brand-balloons:hover .balloon {
    opacity: 0.3;
}

/* Pero el hovered se eleva y vuelve opaco 100% */
#brand-balloons .balloon:hover {
    transform: scale(1.4) translateY(-5px);
    opacity: 1 !important;
    animation: none;
}

/* Al hacer clic: leve rebote */
#brand-balloons .balloon:active {
    transform: scale(1.2) translateY(0);
    transition: transform 0.2s ease-in-out;
    animation: none;
}

/* Animación flotante */
@keyframes floatBalloon {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-2px);
    }
}


.zoom-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    transition: opacity 0.3s ease;
}

.zoom-overlay img {
    max-width: 98.8%;
    max-height: 98.8%;
    transition: transform 0.44s ease, opacity 0.3s ease;
}

.zoom-overlay.hidden {
    opacity: 0;
    pointer-events: none;
}

.carousel-image {
    display: none;
}

.carousel-image.active {
    display: block;
    opacity: 0;
    animation: fadeIn 0.3s forwards;
    transform: scale(0.9); /* Transición suave para el efecto de ampliación */
}

@keyframes fadeIn {
    from { opacity: 0; transform: scale(0.9); }
    to { opacity: 1; transform: scale(1); }
}

@keyframes fadeInReverse {
    from { opacity: 0; transform: scale(0.9); }
    to { opacity: 1; transform: scale(1); }
}

/* Estilos generales para las flechas */
.carousel-arrow {
    position: absolute;
    top: 50%;
    font-size: 3.3rem;
    color: white;
    cursor: pointer;
    user-select: none;
    transform: translateY(-50%);
    transition: font-size 0.4s ease;
    -webkit-tap-highlight-color: transparent; /* Eliminar resaltado en dispositivos táctiles */
}

.carousel-arrow.right {
    right: 18px;
}

.carousel-arrow.left {
    left: 18px;
}

/* Eliminar el contorno y sombra al hacer clic en las flechas */
.carousel-arrow:focus {
    outline: none;
    box-shadow: none;
    border: none; /* Agregar esta línea si el borde es el problema */
}


footer {
    background-color: #333;
    color: #fff;
    padding: 15px 20px 30px;
    text-align: center;
    border-top: 0px solid #333;
}

footer .container {
    display: flex;
    flex-direction: column;
   	align-items: center;
}

footer .footer-info p {
    font-size: 15.5px;
    margin-bottom: 9px;
}

footer .footer-social {
    margin-bottom: 8px;
}

footer .footer-social a {
    color: #fff;
    margin: 0 10px;
    font-size: 20px;
    transition: color 0.3s;
}

footer .footer-social a:hover {
    color: #f4b601;
}

footer p {
    font-size: 15.2px;
    margin: 0 10px
}


@media (max-width: 768px) {
    .logo img {
        width: 120px;
        height: auto;
    }

    .menu-toggle {
        display: block;
        cursor: pointer;
        padding: 10px 20px;
        position: fixed;
        top: 10px;
        right: 20px;
        z-index: 1001;
    }

    nav ul {
        visibility: hidden;
        max-height: 240px;
        overflow-y: auto; /* Agrega desplazamiento si se excede la altura */
        top: 50px; /* Ajusta la posición para reducir el espacio superior */
        opacity: 0;
        flex-direction: column;
        gap: 0;
        position: fixed;
        top: 60px;
        left: 0;
        width: 100%;
        background-color: #e8e8e8;
        transition: opacity 0.5s ease-in-out;
    }

    .nav-menu {
        opacity: 0;
        transition: opacity 0.5s ease-in-out, visibility 0s linear 0.5s;
    }

    .nav-menu.show {
        opacity: 1;
    }

    body.menu-opened nav ul {
        visibility: visible;
        opacity: 1; /* Visible cuando body tiene la clase 'menu-opened' */
        transition: opacity 0.5s ease-in-out;
    }

    nav ul li {
        width: 100%;
        text-align: center;
        padding: 3px 0;
    }

    nav ul li a {
        padding: 7px 0px;
        font-size: 14.4px;
        display: block;
        width: 100%;
        transition: background-color 0.3s;
    }

    .fade-in-menu {
        opacity: 0;
        transition: opacity 0.5s ease-in-out;
    }

    .fade-in-menu.visible {
        opacity: 1;
    }

    .hero-text {
        margin-top: -60px;
    }

    #hero h2 {
        font-size: 40px;
        margin-top: 27px;
        margin-bottom: -5px;
    }

    #hero h3 {
        font-size: 18px;
        margin-top: 5px;
        margin-bottom: 12px;
    }

    #hero p {
        font-size: 18px;
        margin-bottom: 27px;
    }

    #hero img {
        margin-top: 30px;
        margin-bottom: 30px;
    }

    #hero .btn {
        margin-bottom: 0px;
    }

    .hero-text .btn {
        margin-bottom: 0px;
    }

    .hero-image img {
        width: 100%;
        height: auto;
        max-width: 600px;
        margin: 0 auto;
        display: block;
        margin-top: 25px;
    }

    #contacto-wa {
        padding: 70px 20px 20px;
    }

    #contacto-wa .hero-image img {
        width: 96%;
        max-width: 1000px;
        height: auto;
        margin: 0 auto;
        display: block;
    }

    #contacto-wa .nota-envio {
        margin-bottom: 5px;
    }

    #brand-balloons {
        gap: 15px;
    }

    footer .footer-info p {
        font-size: 16px;
        margin-bottom: 9px;
    }

    footer .footer-social {
        margin-bottom: 8px;
    }

    footer p {
        font-size: 15.2px;
        margin: 0 10px
    }
}

/* Oculta la imagen móvil en pantallas grandes */
.mobile-image {
    display: none;
}

@media (max-width: 768px) {
    /* Esconde la imagen de escritorio y muestra la móvil */
    .desktop-image {
        display: none !important;
    }
    .mobile-image {
        display: block !important;
        width: 100%;
        height: auto;
        max-width: 600px;
        margin: 0 auto;
        display: block;
        margin-top: 25px;
    }
}

@media (min-width: 769px) {
    /* Esconde la imagen móvil y muestra la de escritorio */
    .desktop-image {
        display: block !important;
        max-width: 100%;
        height: auto;
        max-height: 520px;
        margin: 25px auto 0;
        display: block;
    }
    .mobile-image {
        display: none !important;
    }
}


@media (min-width: 769px) {
    .menu-toggle {
        display: none;
    }

    nav ul {
        visibility: visible !important; /* Asegura que el menú sea visible en pantallas grandes */
        opacity: 1 !important;
    }

    #contacto-wa {
        padding: 10px 20px 30px;
        margin-bottom: 50px;
    }

    .zoom-overlay img {
        max-width: 88%;
        max-height: 88%;
        transition: transform 0.44s ease, opacity 0.44s ease;
    }

    .carousel-arrow {
        font-size: 5rem; /* Ajusta este valor según el tamaño que prefieras */
    }

    .carousel-arrow.right {
        right: 26px;
    }

    .carousel-arrow.left {
        left: 26px;
    }
}


/* Aplicar solo en pantallas mayores a 768px */
@media (min-width: 769px) {
    .nuestros-suplementos .productos-grid {
        display: flex;
        flex-wrap: wrap;
    }
    
    /* Nuevo orden deseado para PC en la sección "Nuestros Suplementos" */
    .nuestros-suplementos .productos-grid .producto:nth-child(1) { order: 1; } /* Proteínas */
    .nuestros-suplementos .productos-grid .producto:nth-child(2) { order: 2; } /* Creatinas */
    .nuestros-suplementos .productos-grid .producto:nth-child(5) { order: 3; } /* Colágeno */
    .nuestros-suplementos .productos-grid .producto:nth-child(6) { order: 4; } /* Multivitamínicos */
    .nuestros-suplementos .productos-grid .producto:nth-child(3) { order: 5; } /* Pre Entrenos */
    .nuestros-suplementos .productos-grid .producto:nth-child(4) { order: 6; } /* BCAAs */
}


@media (min-width: 769px) and (max-width: 1440px) {
    .container {
        max-width: 1240px;
        margin: 0 auto;
        padding: 0 20px;
    }

    .logo img {
        width: 110px;
        height: auto;
    }

    nav ul {
        gap: 15px;
        margin-top: -5px;
        margin-bottom: 1px;
    }

    nav ul li a {
        padding: 5px 12px;
        font-size: 14px;
    }

    #hero h2 {
        font-size: 38px;
        margin-top: -35px;
        margin-bottom: 0px;
    }

    #hero h3 {
        font-size: 16px;
        margin-top: 0px;
        margin-bottom: 10px;
    }

    #hero p {
        max-width: 880px;
        margin: 0 auto;
        text-align: center;
        font-size: 18px;
        margin-bottom: 20px;
        margin-top: 15px;
    }

    .hero-image img {
        width: auto;
        height: 100%;
        max-height: 300px;
        margin: 0 auto;
        display: block;
        margin-top: 25px;
    }

    #hero .btn {
        font-size: 16px;
        padding: 7px 16px;
    }

    #servicios h2, #productos h2, #marcas h2, #lo-mas-vendido h2, #mujeres h2, #hombres h2, #beneficios h2, #contacto-wa h2, #cart-live-section h2, #costo-envio h2 {
        font-size: 33px;
    }

    #servicios h3, #productos h3, #marcas h3, #lo-mas-vendido h3, #mujeres h3, #hombres h3, #beneficios h3, #contacto-wa h3, #cart-live-section h3, #costo-envio h3 {
        font-size: 22px;
    }

    #servicios p, #productos p, #marcas p, #lo-mas-vendido p, #mujeres p, #hombres p, #beneficios p {
        max-width: 880px;
        font-size: 15px;
        margin-top: 15px;
        margin-bottom: 10px;
    }

    #servicios p {
        font-size: 15px;
        margin-top: 0px;
        margin-bottom: 0px;
    }

    #beneficios p {
        font-size: 15px;
        margin-top: 3px;
        margin-bottom: 0px;
    }

    #contacto-wa p {
        font-size: 15px;
        margin-top: 15px;
        margin-bottom: 20px;
    }

    .producto {
        width: 100%;
        max-width: 220px;
    }

    #mujeres .producto, #hombres .producto {
        margin-top: 15px;
    }

    .producto img, .marca img {
        width: 200px;
        height: auto;
    }

    #servicios .btn, #productos .btn, #marcas .btn, #lo-mas-vendido .btn, #mujeres .btn, #hombres .btn, #beneficios .btn, #contacto-wa .btn, #cart-live-section .btn, #costo-envio .btn {
        font-size: 16px;
        padding: 6px 15px;
    }

    .servicio, .beneficio {
        width: 100%;
        max-width: 240px; 
        margin: 0 auto; 
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 18px 20px 18px;
    }

    #contacto-wa .nota-envio {
        font-size: 0.77em;
        max-width: 400px;
        margin: 0 auto;
        text-align: center;
        margin-top: 20px;
        margin-bottom: 5px;
    }

    #contacto-wa .hero-image img {
        width: 26%;
        max-width: 640px;
    }

    #servicios i, #beneficios i {
        font-size: 2.7em;
    }

    #brand-balloons {
        top: calc(50% + 70px);
        left: 20px;
        gap: 10px;
    }

    #brand-balloons .balloon, #brand-balloons .dark-balloon, .dark-balloon, .balloon {
        width: 32px;
        height: 32px;
    }
}


@media (min-width: 1441px) {
    header {
        padding: 5px 0;
    }

    .logo img {
        width: 142px;
        height: auto;
    }

    nav ul {
        gap: 20px;
        margin-top: 2px;
        margin-bottom: 10px;
    }

    nav ul li a {
        padding: 8px 15px;
        font-size: 17px;
    }

    #hero h2 {
        font-size: 48px;
        margin-top: 15px;
        margin-bottom: 0px;
    }

    #hero h3 {
        font-size: 20px;
        margin-top: 0px;
        margin-bottom: 15px;
    }

    #hero p {
        max-width: 1000px;
        margin: 0 auto;
        text-align: center;
        font-size: 18px;
        margin-bottom: 20px;
        margin-top: 15px;
    }

    .hero-image {
        width: 100%; /* Asegúrate de que el contenedor ocupa todo el ancho */
        text-align: center;
        padding: 0; /* Sin padding */
        margin: 0;  /* Sin margin */
    }
    
    .hero-image img {
        max-width: 100%;     /* La imagen no excederá el ancho del contenedor */
        height: auto;        /* Mantiene la proporción de la imagen */
        max-height: 520px;   /* Altura máxima de la imagen */
        margin: 25px auto 0; /* Centra la imagen y añade margen superior */
        display: block;       /* La imagen se comporta como un bloque */
    }    

    #productos p, #marcas p, #lo-mas-vendido p, #mujeres p, #hombres p {
        max-width: 1000px;
    }

    .beneficio {
        width: 100%;
        max-width: 260px; 
        margin: 0 auto; 
        padding: 16px 40px 12px;
    }

    #contacto-wa .nota-envio {
        max-width: 400px;
        margin: 0 auto;
        margin-top: 25px;
        margin-bottom: 5px;
    }

    #contacto-wa .hero-image img {
        width: 55%;
        max-width: 550px;
    }

    #brand-balloons {
        top: calc(50% + 100px);
        left: 30px;
        gap: 15px;
    }

    #brand-balloons .balloon, #brand-balloons .dark-balloon, .dark-balloon, .balloon {
        width: 48px;
        height: 48px;
    }
}

